org.modeshape.jcr

## Class RepositoryConfiguration.FieldValue

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.FieldValue

- Enclosing class:
    RepositoryConfiguration

      public static final class RepositoryConfiguration.FieldValue
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINARY_STORAGE_TYPE_CACHE`
    `static String` | `BINARY_STORAGE_TYPE_COMPOSITE`
    `static String` | `BINARY_STORAGE_TYPE_CUSTOM`
    `static String` | `BINARY_STORAGE_TYPE_DATABASE`
    `static String` | `BINARY_STORAGE_TYPE_FILE`
    `static String` | `KIND_ENUMERATED`
    `static String` | `KIND_NODE_TYPE`
    `static String` | `KIND_TEXT`
    `static String` | `KIND_UNIQUE`
    `static String` | `KIND_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.FieldValue()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINARY_STORAGE_TYPE_FILE

          public static final String BINARY_STORAGE_TYPE_FILE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_CACHE

          public static final String BINARY_STORAGE_TYPE_CACHE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_DATABASE

          public static final String BINARY_STORAGE_TYPE_DATABASE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_COMPOSITE

          public static final String BINARY_STORAGE_TYPE_COMPOSITE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_CUSTOM

          public static final String BINARY_STORAGE_TYPE_CUSTOM

      See Also:
        Constant Field Values

    - #### KIND_VALUE

          public static final String KIND_VALUE

      See Also:
        Constant Field Values

    - #### KIND_UNIQUE

          public static final String KIND_UNIQUE

      See Also:
        Constant Field Values

    - #### KIND_ENUMERATED

          public static final String KIND_ENUMERATED

      See Also:
        Constant Field Values

    - #### KIND_TEXT

          public static final String KIND_TEXT

      See Also:
        Constant Field Values

    - #### KIND_NODE_TYPE

          public static final String KIND_NODE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositoryConfiguration.FieldValue

          public RepositoryConfiguration.FieldValue()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.